function [voltage_out] = multi_in_SSPM(bias_voltage, power_voltage, input_current, frequency, for_iterations)

V_out = zeros(length(input_current),1);

for j = 1:length(input_current)
    V_out(j) = SSPM_amp(bias_voltage, power_voltage, input_current(j), frequency, for_iterations);
end

voltage_out = V_out;